/* 
    Document   : display1
    Created on : 7/11/2011, 10:29:34 AM
    Author     : fvega
    Description:
        Purpose of the stylesheet follows.
*/

.CajaCenter{
    -fx-alignment: center;
}

.CajaConBorde{
    -fx-alignment: top-center ;
    -fx-border-color: E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 2;
    -fx-background-color: white; 
    -fx-border-radius: 5px;
    -fx-background-radius: 11px;
    
}

root { 
    -fx-display: block;
    -fx-spacing: 0;
}

.EtiquetaMontoVenta{
    -fx-font: 60pt Verdana; 
    -fx-text-fill: black;
    -fx-background-color: transparent; 
    -fx-background-opacity: .1;
    -fx-text-alignment: right;
}

.EtiquetaVenta1{
    -fx-font-size: 25px Verdana; -fx-font-weight: bold
}

.EtiquetaVenta4{
    -fx-font-size: 19px Verdana; -fx-font-weight: bold
}

.EtiquetaVenta2{
    -fx-font-size: 20px; -fx-font-weight: bold; -fx-text-fill: black; 
    -fx-effect: dropshadow( three-pass-box , rgba(255,255,255,0.2) , 1, 0.0 , 0 , 1);
}

.EtiquetaVenta3{
    -fx-font-size: 20px; -fx-font-weight: bold; -fx-text-fill: lightblue; 
    -fx-effect: dropshadow( three-pass-box , rgba(255,255,255,0.2) , 1, 0.0 , 0 , 1);
}

.EtiquetaTarjetas{
    -fx-font-size: 21px; -fx-font-weight: bold; -fx-text-fill: dimgray; 
    -fx-effect: dropshadow( three-pass-box , rgba(255,255,255,0.2) , 1, 0.0 , 0 , 1);
}

.EtiquetaTarjetas2{
    -fx-font-size: 15px; -fx-font-weight: bold; -fx-text-fill: dimgray; 
    -fx-effect: dropshadow( three-pass-box , rgba(255,255,255,0.2) , 1, 0.0 , 0 , 1);
}

.EtiquetaCantidadTarjetas{
    -fx-background-color: f5d5ae; -fx-background-radius: 10; -fx-background-insets: 0,1,2,3,0; -fx-text-fill: 898580; 
    -fx-font-weight: bold; -fx-font-size: 22px; -fx-padding: 10 20 10 20; -fx-alignment: center;
}

.EtiquetaCantidadTarjetas2{
    -fx-background-color: f5d5ae; -fx-background-radius: 10; -fx-background-insets: 0,1,2,3,0; -fx-text-fill: 898580; 
    -fx-font-weight: bold; -fx-font-size: 16px; -fx-padding: 10 20 10 20; -fx-alignment: center;
}

.EtiquetaCantidadValesE{
    -fx-background-color: f5d5ae; -fx-background-radius: 10; -fx-background-insets: 0,1,2,3,0; -fx-text-fill: 898580; 
    -fx-font-weight: bold; -fx-font-size: 22px; -fx-padding: 10 20 10 20; -fx-alignment: center;
}

.EtiquetaCantidadValesE2{
    -fx-background-color: f5d5ae; -fx-background-radius: 10; -fx-background-insets: 0,1,2,3,0; -fx-text-fill: 898580; 
    -fx-font-weight: bold; -fx-font-size: 16px; -fx-padding: 10 20 10 20; -fx-alignment: center;
}

.EtiquetaMontoTarjetas{
    -fx-font-size: 25px; -fx-font-weight: bold; -fx-text-fill: dimgray; 
    -fx-effect: dropshadow( three-pass-box , rgba(255,255,255,0.2) , 1, 0.0 , 0 , 1);
}

.EtiquetaMontoTarjetas2{
    -fx-font-size: 19px; -fx-font-weight: bold; -fx-text-fill: dimgray; 
    -fx-effect: dropshadow( three-pass-box , rgba(255,255,255,0.2) , 1, 0.0 , 0 , 1);
}

.EtiquetaRegresarTarjetas{
    -fx-font-size: 20px; -fx-font-weight: bold; -fx-text-fill: dimgray; 
    -fx-effect: dropshadow( three-pass-box , rgba(255,255,255,0.2) , 1, 0.0 , 0 , 1);
}

.CampoMontoRestante{
    -fx-text-alignment: right;
    -fx-font: 28pt Verdana; 
    -fx-border-color: F6802B; 
    -fx-border-style: solid;
    -fx-border-width: 2;
    -fx-background-color: white; 
    -fx-border-radius: 5px;
    -fx-background-radius: 11px;
}

.CampoMontoRestante:focused{
    -fx-border-color: F6802B; 
}

.CampoMontoRestante:hover{
    -fx-border-color: F6802B; 
}

.CampoMontoRestante23{
    -fx-text-alignment: right;
    -fx-font: 23pt Verdana; 
    -fx-border-color: F6802B; 
    -fx-border-style: solid;
    -fx-border-width: 2;
    -fx-background-color: white; 
    -fx-border-radius: 5px;
    -fx-background-radius: 11px;
}

.CampoMontoRestante23:focused{
    -fx-border-color: F6802B; 
}

.CampoMontoRestante23:hover{
    -fx-border-color: F6802B; 
}

.CajaInteriorTarjetasCentro{
    -fx-background-color: transparent; -fx-alignment: center;
}

.CajaInteriorTarjetasTopLeft{
    -fx-background-color: transparent; -fx-alignment: top-left;
}

.CajaInteriorTarjetasTopRight{
    -fx-background-color: transparent; -fx-alignment: top-right;
}

.CajaInteriorTarjetasDerecha{
    -fx-background-color: transparent; -fx-alignment: center-right;
}

.CajaInteriorTarjetasIzquierda{
    -fx-background-color: transparent; -fx-alignment: center-left;
}

.CajaTarjetas{
    -fx-alignment: top-center;
    /*-fx-background-image: url("fdoPagoInformacion.png");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;*/
    -fx-border-style: solid;
    -fx-border-color: E6E6E6;
    -fx-border-width: 2;
    -fx-background-color: E6E6E6; 
    -fx-border-radius: 2px;
}

.CajaTarjetasINterior{
    -fx-background-color: transparent; -fx-alignment: center;
}

.CajaCentral{
    -fx-alignment: top-center;
    -fx-border-style: solid;
    -fx-border-color: white,white,white;
    -fx-border-width: 0 10 0 10;
    -fx-background-color: white; 
    -fx-border-insets: 0, 0;
}

.CajaTabla{
    -fx-alignment: center;
    -fx-border-color: E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 2;
    -fx-background-color: white; 
    -fx-border-radius: 5px;
    -fx-background-radius: 11px;
}

/*alineacion*/
.Center{
    -fx-alignment: center;
}

.CenterLeft{
    -fx-alignment: center-left;
}

.TopLeft{
    -fx-alignment: top-left;
}

.TopCenter{
    -fx-alignment: top-center;
}



/*campos de texto */
.TextField{
    -fx-text-alignment: right;
    -fx-font: 28pt Verdana; 
    -fx-border-color: E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 2;
    -fx-background-color: white; 
    -fx-border-radius: 5px;
    -fx-background-radius: 11px;
    
}
.TextField:focused{
    -fx-border-color: F6802B; 
}
.TextField:hover{
     -fx-border-color: F6802B; 
}

.TextField23{
    -fx-text-alignment: right;
    -fx-font: 23pt Verdana; 
    -fx-border-color: E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 2;
    -fx-background-color: white; 
    -fx-border-radius: 5px;
    -fx-background-radius: 11px;
    
}
.TextField23:focused{
    -fx-border-color: F6802B; 
}
.TextField23:hover{
     -fx-border-color: F6802B; 
}

.TextFieldFormasPago{
    -fx-text-alignment: right;
    -fx-font: 28pt Verdana; 
    -fx-border-color: E6E6E6;
    -fx-border-style: solid;
    -fx-border-width: 2;
    -fx-background-color: E6E6E6; 
    -fx-border-radius: 5px;
    -fx-background-radius: 11px;
    
}
.TextFieldFormasPago:focused{
    -fx-border-color: F6802B; 
}
.TextFieldFormasPago:hover{
     -fx-border-color: F6802B; 
}


/*.context-menu  {
    -fx-font-size: 20px;
}*/

.ContextMenu{
    -fx-font-size: 20px;
}

.choice-box {
    -fx-font-size: 16pt ;
    -fx-font-weight: bold;
}
#choice-box-popup-menu {
    -fx-font-size: 16pt ;
}

.Combo{
    -fx-border-color: transparent transparent transparent #bbbbbb;
    -fx-border-insets: 0 0 0 499;
    -fx-padding: 1 2 1 -500;
    -fx-font-size: 20px;
}

.Combo:focused, .Combo:hover, .Combo:selected{
    -fx-border-color: transparent transparent transparent derive(-fx-focus-color,30%);
}





/*////////////////////////////////////////////////////////////////////////////*/







.TopHBox{
    -fx-alignment: center;
    -fx-background-image: url("fdoHeader.png");
    -fx-background-size: stretch;
    -fx-background-radius: 30 30 0 0;
    -fx-border-radius: 25 25 0 0;
    -fx-background-color: transparent;
    -fx-border-width: 10 10 0 10;
    -fx-border-style: solid;
    -fx-border-color:  white, white, white;
    -fx-border-insets: 0, 0;
}

.BottomHBox{
    -fx-alignment: top-center;
    -fx-background-color: #0B3861;
    -fx-background-radius: 0 0 30 30;
    -fx-border-radius: 0 0 25 25;
    -fx-border-width: 0 10 10 10;
    -fx-border-style: solid;
    -fx-border-color: white, white, white;
    -fx-border-insets: 0, 0;
    
}






.ImageBlend{
    -fx-font: 15pt Verdana; 
    -fx-text-fill: black;
    -fx-background-color: transparent; 
    -fx-background-opacity: .5;
    
}

.Label{
    -fx-font-size: 30pt ;
    -fx-font-family: Verdana;
    -fx-font-style: normal;
    -fx-font-weight: bold;
    -fx-alignment: center;
    
}

.Bold{
    -fx-font-size: 30pt ;
    -fx-font-family: Verdana;
    -fx-font-style: normal;
    -fx-alignment: center;
    -fx-background-color: linear-gradient(#f9f9f9 0%,
		#f9db8e 39%,
		#fccd4d 61%,
		#f9b300 74%,
		#f9b300 74%,
		#f8b500 100%);
}

.Normal{
    -fx-font-size: 30pt ;
    -fx-font-family: Verdana;
    -fx-font-style: normal;
    -fx-font-weight: bold;
    -fx-alignment: center;
    -fx-background-color: linear-gradient(#FFFFFF 0%, #fafafa 37%, #dcdcdc 100%);
}

/*viejo estilo tabla*/

/*tabla*/

/*tabla*/
.column-header, .column-drag-header {

    -fx-alignment: center;
    -fx-font: normal 20px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 20;
    -fx-border-style: solid;
    -fx-border-color: transparent;
    -fx-table-header-border-color:transparent;
    -fx-border-insets: 0 1 1 0, 0 0 0 0;

    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
    -fx-border-width: 0.083333em, 0.083333em;

}

.table-view .indexed-cell :selected {
    -fx-border-color: #f8c202;
    /*-fx-background-color: #f8c202;*/
}

.table-view .filler, .table-view{

    -fx-font: normal 20px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 20;
    -fx-border-style: solid;
    -fx-border-color: transparent;
    -fx-table-header-border-color:transparent;
    -fx-border-insets: 0 1 1 0, 0 0 0 0;
    -fx-background-color:
        linear-gradient(#e68400, #EE7D0C),
        linear-gradient(#f2ba44, #EE7D0C),
        linear-gradient(#efaa22, #EE7D0C),
        linear-gradient(#f8c202 2%, #EE7D0C 50%, #eea10b 100%); 
    -fx-border-width: 0.083333em, 0.083333em;

}

.table-view:focused{

    -fx-border-color: lightblue;
    -fx-border-width: .15em;
    -fx-border-insets: -1;
}

.table-view{
    -fx-background-color: white;
    
    -fx-table-cell-border-color:transparent;
    -fx-table-cell-text-alignment: center;
    -fx-border-color: transparent;
    -fx-border-width: 5;
    -fx-border-radius: 5;
    -fx-background-radius: 5;
    -fx-table-cell-border-color:transparent;
    -fx-table-cell-text-alignment: center;
}

.table-view .scroll-bar:vertical{

    -fx-color:#f8c202;
}

.table-view .indexed-cell{
    -fx-alingnment: center;
}

.table-view .indexed-cell :selected {
    -fx-alingnment: center;
    -fx-border-color: #f8c202;
    -fx-background-color: #f8c202;
}

 .filler, .table-view{
    -fx-font: normal 17px verdana, arial, helvetica, sans-serif;
    -fx-text-fill: white;
    -fx-size: 17;
    -fx-border-color: transparent;
    -fx-table-header-border-color:transparent;
    -fx-background-color: transparent; 
    -fx-border-width: 0px;
}

.table-view:focused{
    -fx-border-color: F6802B;
    -fx-border-width: 1px;
}

.table-view{
    -fx-background-color: transparent;
    -fx-table-cell-border-color:green;
    -fx-table-cell-text-alignment: center;
    -fx-table-cell-text-color: white;
    -fx-border-color: transparent;
    -fx-border-width: 0px;
}



.indexed-cell{
    /*-fx-text-fill: black;*/
    -fx-alingnment: center;
    -fx-background-color: transparent;
    -fx-border-width: 0px;
}

/* .indexed-cell :selected {
    -fx-text-fill: orange;
    -fx-alingnment: center;
    -fx-border-width: 0px;
 }

 .indexed-cell :focused {
    -fx-text-fill: orange;
    -fx-alingnment: center;
    -fx-border-width: 0px;
}

 .indexed-cell :pressed {
    -fx-text-fill: orange;
    -fx-alingnment: center;
    -fx-border-width: 0px;
}*/

 .table-row-cell:selected {
   -fx-background-color: #F6802B; 
}

 .table-row-cell:selected .text {
       -fx-fill: white ;
}

.table-view .scroll-bar:horizontal .track,
.table-view .scroll-bar:vertical .track{

    -fx-background-color:transparent;
    -fx-border-color:transparent;
    -fx-background-radius: 0em;
    -fx-border-radius:2em;
}


/* The increment and decrement button CSS class of scrollbar */

.table-view .scroll-bar:vertical{
    -fx-color:#F6802B;
}

.table-view .scroll-bar:horizontal .increment-button ,
.table-view .scroll-bar:horizontal .decrement-button {
    -fx-background-color:transparent;
    -fx-background-radius: 0em;
    -fx-padding:0 0 10 0;
}

/* The increment and decrement button CSS class of scrollbar */
.table-view .scroll-bar:vertical .increment-button ,
.table-view .scroll-bar:vertical .decrement-button {

    -fx-background-color:transparent;
    -fx-background-radius: 0em;
    -fx-padding:0 10 0 0;

}

.table-view  .scroll-bar .increment-arrow,
.table-view  .scroll-bar .decrement-arrow
{
    -fx-shape: " ";
    -fx-padding:0;
}

/* The main scrollbar **thumb** CSS class which we drag every time (movable) */

 .table-view .scroll-bar:horizontal .thumb,
 .table-view .scroll-bar:vertical .thumb {
    -fx-background-color:#32a3ea;
    -fx-background-insets: 2, 0, 0;
    -fx-background-radius: 2em;
}

.CajaCabeceroformasPago{
    -fx-alignment: center;
    -fx-background-image: url("header_SelecPago.jpg");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 2 2 0 2;
    -fx-border-color: orange;
}

.CajaDetalleformasPago{
    -fx-alignment: center;
    -fx-border-width: 0 2 2 2;
    -fx-border-color: orange;
    -fx-background-color:white;
}

.CajaDetalleformasPagoIzq{
    -fx-alignment: center;
    -fx-border-width: 0;
    -fx-border-color: transparent;
    -fx-background-color:transparent;
}

.CajaDetalleformasPagoDer{
    -fx-alignment: center;
    -fx-border-width: 0;
    -fx-border-color: transparent;
    -fx-background-color:transparent;
}

.CajaCabeceroTA {
    -fx-alignment: center;
    /*-fx-background-image: url("header_tiempoAire.jpg");*/
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    -fx-border-width: 2 2 0 2;
    -fx-border-color: #ccc;
    -fx-background-color: #ccc;
}

.CajaDetalleTA{
    -fx-alignment: center;
    -fx-background-color: white;
    -fx-border-width: 0 2 2 2;
    -fx-border-color: blue;
}

.CajaIconoTA{
    -fx-alignment: center;
    /*-fx-background-color: white;*/
    -fx-border-width: 0 0 2 0;
    /*-fx-border-color: gray;*/
}

.CajaEtiquetaSeleccionTA{
    -fx-alignment: center;
    -fx-background-color: white;
}

.CajaCompaniasTA{
    -fx-alignment: center;
    -fx-background-color: white;
}


.CajaCabeceroVerificador{
    -fx-alignment: center;
    -fx-background-image: url("header_Verificador.jpg");
    -fx-background-repeat: no-repeat;
    -fx-background-size: stretch;
    /*-fx-border-width: 2 2 0 2;
    -fx-border-color: blue;*/
}

.CajaIconoVerificador{
    -fx-alignment: center;
    -fx-background-color: white;
}



.botonNaranja{
	-fx-background-color: 	
        linear-gradient(rgb(239, 239,239), rgb(150, 150,150)),
        linear-gradient(rgb(239, 239,239), rgb(150, 150,150)),
        linear-gradient(rgb(150, 150,150), rgb(150, 150,150)),
        linear-gradient(#ffffff 0%, rgb(231,231,231) 100%, rgb(150, 150,150) 100%),
        linear-gradient(from 100% 0% to 100% 100%, rgba(255,255,255,0.9), rgba(255,255,255,0));
    -fx-background-radius: 10;
    -fx-background-insets: 0,1,2,3,0;
	-fx-text-fill: #654b00;
    -fx-font-size: 12px;
    -fx-padding: 10 20 10 20;
}

.botonNaranja:hover{
	-fx-background-color: 
        linear-gradient(#ffd65b, rgb(247, 130,0)),
        linear-gradient(#ffef84, rgb(247, 130,0)),
        linear-gradient(#ffea6a, rgb(247, 130,0)),
        linear-gradient(#ffffff 0%, rgb(247,211,49) 100%, rgb(247, 130,0) 100%),
        linear-gradient(from 100% 0% to 100% 100%, rgba(255,255,255,0.9), rgba(255,255,255,0));
    -fx-background-radius: 10;
    -fx-background-insets: 0,1,2,3,0;
}


.Cancelar_{
	-fx-background-color:
        /*linear-gradient(rgb(239, 239,239), rgb(113, 0,0)),
        linear-gradient(rgb(239, 239,239), rgb(113, 0,0)),
        linear-gradient(rgb(113, 0,0), rgb(113, 0,0)),*/
        linear-gradient(#ffffff 0%, rgb(255,0,0) 0%, rgb(106, 0,0) 100%),
        linear-gradient(from 100% 0% to 100% 100%, rgba(255,255,255,0.8), rgba(255,255,255,0));
    -fx-background-radius: 5;
    -fx-background-insets: 0,1,2,3,0;
	-fx-text-fill: #FFFFFF;
    -fx-font-weight: bold;
    -fx-font-size: 18px;
    -fx-padding: 5 5 5 5;
}
	
.Cancelar_:hover{
	-fx-background-color:
        /*linear-gradient(rgb(239, 239,239), rgb(113, 0,0)),
        linear-gradient(rgb(239, 239,239), rgb(113, 0,0)),
        linear-gradient(rgb(113, 0,0), rgb(113, 0,0)),*/
        linear-gradient(#ffffff 0%, rgb(255,0,0) 0%, rgb(106, 0,0) 100%),
        linear-gradient(from 100% 0% to 100% 100%, rgba(255,255,255,0.9), rgba(255,255,255,0));
    -fx-background-radius: 5;
    -fx-background-insets: 0,1,2,3,0;
	-fx-text-fill: #FFFFFF;
    -fx-font-weight: bold;
    -fx-font-size: 18px;
    -fx-padding: 5 5 5 5;
}

.Aceptar_{
	-fx-background-color:
        /*linear-gradient(rgb(239, 239,239), rgb(56, 106,0)),
        linear-gradient(rgb(239, 239,239), rgb(56, 106,0)),
        linear-gradient(rgb(56, 106,0), rgb(56, 106,0)),*/
        linear-gradient(#ffffff 0%, rgb(90,140,0) 0%, rgb(69, 132,0) 100%),
        linear-gradient(from 100% 0% to 100% 100%, rgba(255,255,255,0.8), rgba(255,255,255,0));
    -fx-background-radius: 5;
    -fx-background-insets: 0,1,2,3,0;
	-fx-text-fill: #FFFFFF;
    -fx-font-weight: bold;
    -fx-font-size: 18px;
    -fx-padding: 5 5 5 5;
}

.Aceptar_:hover{
	-fx-background-color:
        /*linear-gradient(rgb(239, 239,239), rgb(56, 106,0)),
        linear-gradient(rgb(239, 239,239), rgb(56, 106,0)),
        linear-gradient(rgb(56, 106,0), rgb(56, 106,0)),*/
        linear-gradient(#ffffff 0%, rgb(90,140,0) 0%, rgb(69, 132,0) 100%),
        linear-gradient(from 100% 0% to 100% 100%, rgba(255,255,255,0.9), rgba(255,255,255,0));
    -fx-background-radius: 5;
    -fx-background-insets: 0,1,2,3,0;
	-fx-text-fill: #FFFFFF;
    -fx-font-weight: bold;
    -fx-font-size: 18px;
    -fx-padding: 5 5 5 5;
}

.Aceptar{
-fx-background-color: rgb(50, 170,50);
-fx-text-fill: #FFFFFF;
-fx-background-radius: 0;
-fx-font-size: 18px;
}
.Aceptar:hover{
    -fx-effect: dropshadow(one-pass-box, rgba(0, 0, 0, 0.6), 6, 0.5, 0.0, 1.0);
}

.Cancelar{
-fx-background-color: rgb(253, 37, 37);
-fx-text-fill: #FFFFFF;
-fx-background-radius: 0;
-fx-font-size: 18px;
}
.Cancelar:hover{
    -fx-effect: dropshadow(one-pass-box, rgba(0, 0, 0, 0.6), 6, 0.5, 0.0, 1.0);
}